import React from 'react';
import { connect } from 'umi';
import ProblemFeedbackComponent from '../../components/Common/ProblemFeedback/ProblemFeedback';

function ProblemFeedback({
  dispatch, app, content, location,
}) {
  const froblemFeedback = {
    app,
    content,
    dispatch,
    location,
    formRoute: '/commonFeedback',
  };

  return (
    <ProblemFeedbackComponent {...froblemFeedback} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProblemFeedback);

